- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SelfIterator Class Template Reference
[Miscellaneous constructs used by Vaucanson]

SelfIterator is an iterator which is also a container. More...

List of all members.

## Detailed Description

### template<template< class > class C, class T>
class vcsn::misc::SelfIterator< C, T >

SelfIterator is an iterator which is also a container.

Definition at line 37 of file self_iterator.hh.